Subject: Re: linux-next: manual merge of the kvm-x86 tree with the tip tree

From: Sean Christopherson <[email-masked]>
Date: Mon, 22 Sep 2025 07:04:50 -0700

On Mon, Sep 22, 2025, Mark Brown wrote:
> On Mon, Sep 22, 2025 at 04:57:39PM +0530, Aithal, Srikanth wrote:
> > Hello,
> > 
> > Todays linux-next build fails with below error on AMD x86:
> > 
> > arch/x86/kvm/emulate.c:4091:9: error: implicit declaration of function ‘F’
> > [-Werror=implicit-function-declaration]
> >  4091 |         F(DstMem | SrcNone | Lock,              em_inc),
> >       |         ^
> 
> That'll be me doing a mismerge I expect and should've taken the other
> side of the merge for these, I'm quite surprised that the x86
> allmodconfig builds didn't trip this up :( 

Yeah, essentially just s/F/I for the em{inc,dec} entries.

---
 arch/x86/kvm/emulate.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/arch/x86/kvm/emulate.c b/arch/x86/kvm/emulate.c
index beda7030e40a..7d520da8dafc 100644
--- a/arch/x86/kvm/emulate.c
+++ b/arch/x86/kvm/emulate.c
@@ -4088,8 +4088,8 @@ static const struct opcode group4[] = {
 };
 
 static const struct opcode group5[] = {
-	F(DstMem | SrcNone | Lock,		em_inc),
-	F(DstMem | SrcNone | Lock,		em_dec),
+	I(DstMem | SrcNone | Lock,		em_inc),
+	I(DstMem | SrcNone | Lock,		em_dec),
 	I(SrcMem | NearBranch | IsBranch | ShadowStack, em_call_near_abs),
 	I(SrcMemFAddr | ImplicitOps | IsBranch | ShadowStack, em_call_far),
 	I(SrcMem | NearBranch | IsBranch,       em_jmp_abs),

base-commit: bf2602a3cb2381fb1a04bf1c39a290518d2538d1
--